@echo off
rem This file is to set the variable used in all the bat files located under
rem <NMS_HOME> bin directory.

set NMS_HOME=.

set JAVA_HOME=%NMS_HOME%\jre

set JAVA_COMPILER=NONE

rem LICENSE_PATH variable is to locate AdventNetLicense.ali directory path.
set LICENSE_PATH=%NMS_HOME%

set NMS_CLASSES=%NMS_HOME%\classes

set SNMP_CLASSPATH=%NMS_CLASSES%\AdventNetSnmp.jar;%NMS_CLASSES%\SNMPDebugger.jar

set SAS_CLASSPATH=%NMS_CLASSES%\AdventNetSAS.jar

set EXAMPLE_CLASSES=%NMS_HOME%\examples\classes

set XML_CLASSPATH=%NMS_CLASSES%\jaxp.jar;%NMS_CLASSES%\crimson.jar;%NMS_CLASSES%\xalan.jar

set MYSQL_HOME=%NMS_HOME%\mysql

set DB_CLASSPATH=%MYSQL_HOME%\driver\mysql_connector.jar

set WEBSERVER_HOME=%NMS_HOME%\apache

set TOMCAT_HOME=%WEBSERVER_HOME%\tomcat

set WEBSERVER_CLASSPATH=%TOMCAT_HOME%\common\lib\servlet.jar;%TOMCAT_HOME%\bin\bootstrap.jar

set WEBSERVER_JARS=%WEBSERVER_CLASSPATH%;%XML_CLASSPATH%

set BUILDER_JAR_HOME=%NMS_CLASSES%

set BUILDER_CLASSPATH=%BUILDER_JAR_HOME%\AdventNetUI.jar;%BUILDER_JAR_HOME%\AdventNetUtils.jar;%BUILDER_JAR_HOME%\ApiUtils.jar

rem AdventNetBeanBuilder.jar contains JMacs.jar,SourceMerger.jar,SourceGeneraor.jar
set BUILDER_CLASSES=%NMS_CLASSES%\AdventNetBeanBuilder.jar

set CLI_CLIENT_CLASSPATH=%NMS_CLASSES%\AdventNetCLIClient.jar;%NMS_CLASSES%\AdventNetJta.jar

set CLI_CLASSPATH=%NMS_CLASSES%\AdventNetCLI.jar;%CLI_CLIENT_CLASSPATH%

set TL1_CLASSPATH=%NMS_CLASSES%\AdventNetTL1.jar;%NMS_CLASSES%\AdventNetTL1Tools.jar

set JMX_AGENT_CLASSPATH=%NMS_CLASSES%\AdventNetSnmpAgent.jar;%NMS_CLASSES%\xmojo.jar;%NMS_CLASSES%\AdventNetWebNmsAgent.jar;%NMS_CLASSES%\AdventNetJmxAgent.jar;%NMS_CLASSES%\AdventNetARUtils.jar;%NMS_CLASSES%\AdventNetTL1Agent.jar

set TRANSACTION_CLASSPATH=%NMS_CLASSES%\jta.jar

set MS_CLIENT_CLASSPATH=%NMS_CLASSES%\ManagementClient.jar

set MS_CLASSPATH=%NMS_CLASSES%\ManagementServer.jar;%MS_CLIENT_CLASSPATH%

set JIMI_CLASSPATH=%NMS_CLASSES%\JimiProClasses.zip;%NMS_CLASSES%\jfreechart.jar;%NMS_CLASSES%\jcommon.jar;%NMS_CLASSES%\jacob.jar

set TFTP_CLASSPATH=%NMS_CLASSES%\AdventNetTftp.jar

set WEBSERVER_PORT=9090

set WEBCONTAINER_PORT=8009

set CODEBASE_LIST="http://localhost:%WEBSERVER_PORT%/classes/ http://localhost:%WEBSERVER_PORT%/NetMonitor/build/IPDSLAM_EMS_Server.jar http://localhost:%WEBSERVER_PORT%/classes/ManagementServer.jar http://localhost:%WEBSERVER_PORT%/classes/AdventNetTftp.jar http://localhost:%WEBSERVER_PORT%/classes/AdventNetCLI.jar http://localhost:%WEBSERVER_PORT%/classes/xmojo.jar http://localhost:%WEBSERVER_PORT%/classes/AdventNetSnmp.jar http://localhost:%WEBSERVER_PORT%/classes/SNMPDebugger.jar http://localhost:%WEBSERVER_PORT%/classes/AdventNetJmxAgent.jar http://localhost:%WEBSERVER_PORT%/classes/AdventNetARUtils.jar http://localhost:%WEBSERVER_PORT%/classes/AdventNetTL1Agent.jar http://localhost:%WEBSERVER_PORT%/classes/AdventNetSAS.jar http://localhost:%WEBSERVER_PORT%/classes/jta.jar"

set OTHER_CLASSPATH=%NMS_CLASSES%\Mail.jar;%NMS_CLASSES%\activation.jar;%NMS_CLASSES%\AdventNetNPrevalent.jar;%NMS_CLASSES%\bsh-1.2b3.jar

set NMS_ARC=%NMS_CLASSES%\NmsClientClasses.jar

set MIGRATION_CLASSPATH=%NMS_CLASSES%\migration.jar;%NMS_CLASSES%\MigrationUtil.jar

set TL1AGENT_CLASSPATH=%NMS_HOME%\TL1AgentSimulator\classes


set FTP_CLASSPATH=%NMS_CLASSES%\ftp.jar

set UMGR_INSTALLER_CLASSPATH=%NMS_CLASSES%\AdventNetUpdateManagerInstaller.jar

set UPDATE_MANAGER_CLASSPATH=%UMGR_INSTALLER_CLASSPATH%;%XML_CLASSPATH%;%JIMI_CLASSPATH%;%NMS_CLASSES%

set SUM_CLIENT_CLASSPATH=%NMS_CLASSES%\AdventNetSUMClient.jar;%UMGR_INSTALLER_CLASSPATH%

set SUM_SERVER_CLASSPATH=%NMS_CLASSES%\AdventNetSUMServer.jar

set PATH=%NMS_HOME%\lib;%PATH%

set TOMCAT_SHUTDOWNPORT=8005
